export declare const ErrorMessages: {
    Client: {
        ClientId: string;
        ClientToken: string;
        EventsPath: string;
        CommandsPath: string;
        Intents: string;
        Partials: string;
        Presence: string;
        PresenceUpdateFrequency: string;
        PresenceUpdateStatus: string;
    };
    Command: {
        Name: string;
        NSFW: (commandName?: string) => string;
        Description: (commandName?: string) => string;
        Options: (commandName?: string) => string;
        Subcommand: (commandName?: string) => string;
        SubcommandGroup: (commandName?: string) => string;
        Executable: (commandName?: string) => string;
    };
    Event: {
        Name: string;
        Executable: (eventName?: string) => string;
    };
};
export default class extends Error {
    constructor(message: string);
}
